com.microfocus.zserver.zexplorer

## Class MvsSubsystem

- java.lang.Object
- - SubSystem
  - - com.microfocus.zserver.zexplorer.model.AbstractZExplorerSubSystem
    - - com.microfocus.zserver.zexplorer.MvsSubsystem

-     public class MvsSubsystem
      extends AbstractZExplorerSubSystem

  Representation of a z/OS MVS System.
  Author:
    RalfP

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PROPERTY_LOCAL_CODEPAGE` Cache property set for the local code page.
    `static java.lang.String` | `PROPERTY_REMOTE_CODEPAGE` Cache property set for the remote code page.
    `static java.lang.String` | `PROPSET_CODEPAGES` Cache property set for code pages.
    `static java.lang.String` | `PROPSET_EXTENSION_PROPERTY` Cache property set for a properties added through the zExplorer property provider extension point.
    `static java.lang.String` | `PROPSET_MVS_RESOURCE` Cache property set for a specific resource.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `connect(org.eclipse.core.runtime.IProgressMonitor pMonitor, boolean pForcePrompt)`
    `java.util.Collection<IMvsDataset>` | `getAllDataSets()`
    `java.lang.String` | `getCeaIspfLauncherPort()`
    `MvsDataSetDirectory` | `getDataSetDirectory()`
    `java.lang.String` | `getHeaderVersion()` Deprecated.
    `ELocalCodepage` | `getLocalCodepage()`
    `java.lang.String` | `getMFAPort()` Gets the MFA port, which will be used to connect to MFA if backward compatibility is enabled.
    `IMvsDataset` | `getMVSDataSetByName(java.lang.String pDSName)`
    `java.lang.Object` | `getObjectWithAbsoluteName(java.lang.String pKey, org.eclipse.core.runtime.IProgressMonitor pMonitor)`
    `EHostCodepage` | `getRemoteCodepage()`
    `java.lang.String` | `getSchedulerJobName()` Gets the scheduler job name, which is used to contact a specific z/Server scheduler when a message is sent to MFA.
    `java.lang.String` | `getSslCciKey()` Gets the SSL CCI key, which will be used to make a SSL connection.
    `static java.lang.String` | `getSuffix(java.lang.String pMvsFileName)` Searches an applicable file mapping for the given file name and returns its extension (suffix).
    `java.lang.String` | `getZExplorerPropertyValue(IZExplorerProperty pProperty)`
    `boolean` | `isBackwardCompatibilityMode()` Gets the backward compatibility mode flag.
    `void` | `setBackwardCompatibilityMode(boolean pBackwardCompMode)` Sets the backward compatibility mode flag.
    `void` | `setCeaIspfLauncherPort(java.lang.String pIspfLauncherPort)`
    `void` | `setHeaderVersion(java.lang.String pVersion)` Deprecated.
    `void` | `setLocalCodepage(ELocalCodepage pCodePage)`
    `void` | `setMFAPort(java.lang.String pMFAPort)` Sets the MFA port, which will be used to connect to MFA if backward compatibility is enabled.
    `void` | `setRemoteCodepage(EHostCodepage pCodePage)`
    `void` | `setSchedulerJobName(java.lang.String pSchedulerName)` Sets the scheduler job name, which is used to contact a specific z/Server scheduler when a message is sent to MFA.
    `void` | `setSslCciKey(java.lang.String pSslCciKey)` Sets the SSL CCI key, which will be used to make a SSL connection.
    `void` | `setZExplorerPropertyValue(IZExplorerProperty pProperty, java.lang.String pValue)`

    - ### Methods inherited from class com.microfocus.zserver.zexplorer.model.AbstractZExplorerSubSystem

      `getPropertyValue, setPropertyValue`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROPSET_CODEPAGES

          public static final java.lang.String PROPSET_CODEPAGES

      Cache property set for code pages.
      See Also:
        Constant Field Values

    - #### PROPERTY_LOCAL_CODEPAGE

          public static final java.lang.String PROPERTY_LOCAL_CODEPAGE

      Cache property set for the local code page.
      See Also:
        Constant Field Values

    - #### PROPERTY_REMOTE_CODEPAGE

          public static final java.lang.String PROPERTY_REMOTE_CODEPAGE

      Cache property set for the remote code page.
      See Also:
        Constant Field Values

    - #### PROPSET_MVS_RESOURCE

          public static final java.lang.String PROPSET_MVS_RESOURCE

      Cache property set for a specific resource.
      See Also:
        Constant Field Values

    - #### PROPSET_EXTENSION_PROPERTY

          public static final java.lang.String PROPSET_EXTENSION_PROPERTY

      Cache property set for a properties added through the zExplorer property provider extension point.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getSuffix

          public static java.lang.String getSuffix(java.lang.String pMvsFileName)

      Searches an applicable file mapping for the given file name and returns its extension (suffix). Returns the default suffix `txt` if no file mapping was found.
      Parameters:
        `pMvsFileName` - name of an MVS file (either a data set name or full qualified member name)
      Returns:
        a suffix from a file mapping or `txt` if no applicable file mapping was found

    - #### getMVSDataSetByName

          public IMvsDataset getMVSDataSetByName(java.lang.String pDSName)

    - #### connect

          public void connect(org.eclipse.core.runtime.IProgressMonitor pMonitor,
                              boolean pForcePrompt)
                       throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### setRemoteCodepage

          public void setRemoteCodepage(EHostCodepage pCodePage)

    - #### setCeaIspfLauncherPort

          public void setCeaIspfLauncherPort(java.lang.String pIspfLauncherPort)

    - #### getCeaIspfLauncherPort

          public java.lang.String getCeaIspfLauncherPort()

    - #### setLocalCodepage

          public void setLocalCodepage(ELocalCodepage pCodePage)

    - #### getRemoteCodepage

          public EHostCodepage getRemoteCodepage()

    - #### getLocalCodepage

          public ELocalCodepage getLocalCodepage()

    - #### getObjectWithAbsoluteName

          public java.lang.Object getObjectWithAbsoluteName(java.lang.String pKey,
                                                            org.eclipse.core.runtime.IProgressMonitor pMonitor)
                                                     throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getAllDataSets

          public java.util.Collection<IMvsDataset> getAllDataSets()

      Returns:
        a list of all `MvsDataset`s that have been retrieved during the active session.

    - #### getDataSetDirectory

          public MvsDataSetDirectory getDataSetDirectory()

      Returns:
        the `MvsDataSetDirectory` of this sub system

    - #### setHeaderVersion

          @Deprecated
          public void setHeaderVersion(java.lang.String pVersion)

      Deprecated.

    - #### getHeaderVersion

          @Deprecated
          public java.lang.String getHeaderVersion()

      Deprecated.

    - #### getSchedulerJobName

          public java.lang.String getSchedulerJobName()

      Gets the scheduler job name, which is used to contact a specific z/Server scheduler when a message is sent to MFA.
      Returns:
        the configured z/Server scheduler job name

    - #### setSchedulerJobName

          public void setSchedulerJobName(java.lang.String pSchedulerName)

      Sets the scheduler job name, which is used to contact a specific z/Server scheduler when a message is sent to MFA.
      Parameters:
        `pSchedulerName` - the z/Server scheduler job name to set

    - #### setMFAPort

          public void setMFAPort(java.lang.String pMFAPort)

      Sets the MFA port, which will be used to connect to MFA if backward compatibility is enabled.
      Parameters:
        `pMFAPort` - the MFA port to set

    - #### getMFAPort

          public java.lang.String getMFAPort()

      Gets the MFA port, which will be used to connect to MFA if backward compatibility is enabled.
      Returns:
        the configured or default MFA port

    - #### setBackwardCompatibilityMode

          public void setBackwardCompatibilityMode(boolean pBackwardCompMode)

      Sets the backward compatibility mode flag.
      Parameters:
        `pBackwardCompMode` - whether backward compatibility mode should be enabled
      See Also:
        `isBackwardCompatibilityMode()`

    - #### isBackwardCompatibilityMode

          public boolean isBackwardCompatibilityMode()

      Gets the backward compatibility mode flag. When enabled, the client will connect to z/Server using the main port, and to MFA using a separate configurable port.
      Returns:
        the backwardCompatibilityMode `true` if backward compatibility mode is enabled, otherwise `false` (default)

    - #### setSslCciKey

          public void setSslCciKey(java.lang.String pSslCciKey)

      Sets the SSL CCI key, which will be used to make a SSL connection.
      Parameters:
        `pSslCciKey` - the configured SSL CCI key

    - #### getSslCciKey

          public java.lang.String getSslCciKey()

      Gets the SSL CCI key, which will be used to make a SSL connection. A non secure connection will be done if this key is `null`.
      Returns:
        the configured SSL CCI key or `null` if nothing was configured.

    - #### getZExplorerPropertyValue

          public java.lang.String getZExplorerPropertyValue(IZExplorerProperty pProperty)

    - #### setZExplorerPropertyValue

          public void setZExplorerPropertyValue(IZExplorerProperty pProperty,
                                                java.lang.String pValue)

Copyright © 2015 Micro Focus GmbH. All rights reserved.